export const POSTCSS_PARENT_ELEMENTS_ONLY = [
    /^\.el-/i,
];

export const POSTCSS_PARENT_ELEMENTS_STiCKY = [
    /^\.el-popper$/, /^\.el-popper[^\w\-]/,
    /^\.el-popover$/, /^\.el-popover[^\w\-]/,
    /^\.el-popover--plain$/, /^\.el-popover--plain[^\w\-]/,
    /^\.el-select-dropdown$/, /^\.el-select-dropdown[^\w\-]/,
    /^\.el-autocomplete-suggestion$/, /^\.el-autocomplete-suggestion[^\w\-]/,
    /^\.el-cascader__dropdown$/, /^\.el-cascader__dropdown[^\w\-]/,
    /^\.el-tooltip__popper$/, /^\.el-tooltip__popper[^\w\-]/,
    /^\.el-dialog__wrapper$/, /^\.el-dialog__wrapper[^\w\-]/,
    /^\.el-picker-panel$/, /^\.el-picker-panel[^\w\-]/,
    /^\.time-select$/, /^\.time-select[^\w\-]/,
    /^\.el-time-range-picker$/, /^\.el-time-range-picker[^\w\-]/,
    /^\.el-date-picker$/, /^\.el-date-picker[^\w\-]/,
    /^\.el-date-range-picker$/, /^\.el-date-range-picker[^\w\-]/,
    /^\.v-modal$/, /^\.v-modal[^\w\-]/,
    /^\.el-color-dropdown$/, /^\.el-color-dropdown[^\w\-]/,
    /^\.el-color-picker__panel$/, /^\.el-color-picker__panel[^\w\-]/,
    /^\.el-table-filter$/, /^\.el-table-filter[^\w\-]/,
    /^\.el-message$/, /^\.el-message[^\w\-]/,
    /^\.el-message-box__wrapper$/, /^\.el-message-box__wrapper[^\w\-]/,
    /^\.el-notification$/, /^\.el-notification[^\w\-]/,
    /^\.el-menu--horizontal$/, /^\.el-menu--horizontal[^\w\-]/,
    /^\.el-menu--vertical$/, /^\.el-menu--vertical[^\w\-]/,
    /^\.el-drawer__wrapper$/, /^\.el-drawer__wrapper[^\w\-]/,
    /^\.el-dropdown-menu$/, /^\.el-dropdown-menu[^\w\-]/,
    /^\.el-dropdown-menu--medium$/, /^\.el-dropdown-menu--medium[^\w\-]/,
    /^\.el-dropdown-menu--small$/, /^\.el-dropdown-menu--small[^\w\-]/,
    /^\.el-dropdown-menu--mini$/, /^\.el-dropdown-menu--mini[^\w\-]/,
    /^\.el-image-viewer__wrapper$/, /^\.el-image-viewer__wrapper[^\w\-]/,

    // animations (transitions)
    /^\.el-fade-in-linear-enter-active$/, /^\.el-fade-in-linear-enter-active[^\w\-]/,
    /^\.el-fade-in-linear-leave-active$/, /^\.el-fade-in-linear-leave-active[^\w\-]/,
    /^\.el-fade-in-linear-enter$/, /^\.el-fade-in-linear-enter[^\w\-]/,
    /^\.el-fade-in-linear-leave$/, /^\.el-fade-in-linear-leave[^\w\-]/,
    /^\.el-fade-in-enter-active$/, /^\.el-fade-in-enter-active[^\w\-]/,
    /^\.el-fade-in-leave-active$/, /^\.el-fade-in-leave-active[^\w\-]/,
    /^\.el-fade-in-enter$/, /^\.el-fade-in-enter[^\w\-]/,
    /^\.el-zoom-in-center-enter-active$/, /^\.el-zoom-in-center-enter-active[^\w\-]/,
    /^\.el-zoom-in-center-leave-active$/, /^\.el-zoom-in-center-leave-active[^\w\-]/,
    /^\.el-zoom-in-center-enter$/, /^\.el-zoom-in-center-enter[^\w\-]/,
    /^\.el-zoom-in-top-enter-active$/, /^\.el-zoom-in-top-enter-active[^\w\-]/,
    /^\.el-zoom-in-top-leave-active$/, /^\.el-zoom-in-top-leave-active[^\w\-]/,
    /^\.el-zoom-in-top-enter$/, /^\.el-zoom-in-top-enter[^\w\-]/,
    /^\.el-zoom-in-bottom-enter-active$/, /^\.el-zoom-in-bottom-enter-active[^\w\-]/,
    /^\.el-zoom-in-bottom-leave-active$/, /^\.el-zoom-in-bottom-leave-active[^\w\-]/,
    /^\.el-zoom-in-bottom-enter$/, /^\.el-zoom-in-bottom-enter[^\w\-]/,
    /^\.el-zoom-in-left-enter-active$/, /^\.el-zoom-in-left-enter-active[^\w\-]/,
    /^\.el-zoom-in-left-leave-active$/, /^\.el-zoom-in-left-leave-active[^\w\-]/,
    /^\.el-zoom-in-left-enter$/, /^\.el-zoom-in-left-enter[^\w\-]/,
];
